
package de.ivu.elect.presentation.gebietsbaum.tree;

import javax.annotation.Nullable;

import org.primefaces.model.TreeNode;

public class GebietsbaumTreeModel {

  private final TreeNode rootNode;
  private final TreeNode selectedNode;

  public GebietsbaumTreeModel(@Nullable TreeNode rootNode, @Nullable TreeNode selectedNode) {
    this.rootNode = rootNode;
    this.selectedNode = selectedNode;
  }

  @Nullable
  public TreeNode getRootNode() {
    return rootNode;
  }

  @Nullable
  public TreeNode getSelectedNode() {
    return selectedNode;
  }

}
